## timecodestamper timecodestamper — Attach a timecode into incoming video frames |

## Properties

GDateTime * | daily-jam | Read / Write
gboolean | drop-frame | Read / Write
gboolean | override-existing | Read / Write
GstClock * | source-clock | Read / Write
gboolean | post-messages | Read / Write
GstVideoTimeCode * | first-timecode | Read / Write
gboolean | first-timecode-to-now | Read / Write

## Types and Values

struct | GstTimeCodeStamper

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstTimeCodeStamper

## Description

This element attaches a timecode into every incoming video frame. It starts counting from the stream time of each segment start, which it converts into a timecode.

#### Example launch line

    1
    gst-launch-1.0 videotestsrc ! timecodestamper ! autovideosink

## Synopsis

### Element Information

plugin | timecode
author | Vivia Nikolaidou <vivia@toolsonair.com
class | Filter/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw

name | src
direction | source
presence | always
details | video/x-raw

## Functions

## Types and Values

### struct GstTimeCodeStamper

    struct GstTimeCodeStamper;

Opaque data structure.

## Property Details

### The `“daily-jam”` property

      “daily-jam”                GDateTime *

The daily jam of the timecode.

Flags: Read / Write

### The `“drop-frame”` property

      “drop-frame”               gboolean

Use drop-frame timecodes for 29.97 and 59.94 FPS.

Flags: Read / Write

Default value: FALSE

### The `“override-existing”` property

      “override-existing”        gboolean

If set to true, any existing timecode will be overridden.

Flags: Read / Write

Default value: FALSE

### The `“source-clock”` property

      “source-clock”             GstClock *

If unset, the timecode will refer to the stream time.

Flags: Read / Write

### The `“post-messages”` property

      “post-messages”            gboolean

Post element message containing the current timecode.

Flags: Read / Write

Default value: FALSE

### The `“first-timecode”` property

      “first-timecode”           GstVideoTimeCode *

If set, take this timecode for the first frame and increment from it. Only the values itself are taken, flags and frame rate are always determined by timecodestamper itself. If unset (and to-now is also not set), the timecode will start at 0.

Flags: Read / Write

### The `“first-timecode-to-now”` property

      “first-timecode-to-now”    gboolean

If true and first-timecode is unset, set it to system time automatically when the first media segment is received.

Flags: Read / Write

Default value: FALSE